1 diff -ruN mysql-4.0.24-orig/aclocal.m4 mysql-4.0.24-2/aclocal.m4
2 --- mysql-4.0.24-orig/aclocal.m4 2005-03-05 01:38:23.000000000 +0100
3 +++ mysql-4.0.24-2/aclocal.m4 2005-03-10 22:39:02.000000000 +0100
7 # Shared library suffix (normally ".so").
9 shrext_cmds='$shrext_cmds'
11 # Executable file suffix (normally "").
12 diff -ruN mysql-4.0.24-orig/configure mysql-4.0.24-2/configure
13 --- mysql-4.0.24-orig/configure 2005-03-05 01:38:47.000000000 +0100
14 +++ mysql-4.0.24-2/configure 2005-03-22 19:27:05.000000000 +0100
17 echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
26 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27 (exit $ac_status); } &&
28 - { ac_try='test -z "$ac_c_werror_flag"
29 - || test ! -s conftest.err'
30 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
31 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
36 echo "$as_me:$LINENO: \$? = $ac_status" >&5
37 (exit $ac_status); } &&
38 - { ac_try='test -z "$ac_c_werror_flag"
39 - || test ! -s conftest.err'
40 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
41 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
46 echo "$as_me:$LINENO: \$? = $ac_status" >&5
47 (exit $ac_status); } &&
48 - { ac_try='test -z "$ac_c_werror_flag"
49 - || test ! -s conftest.err'
50 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
51 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
56 echo "$as_me:$LINENO: \$? = $ac_status" >&5
57 (exit $ac_status); } &&
58 - { ac_try='test -z "$ac_c_werror_flag"
59 - || test ! -s conftest.err'
60 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
61 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
66 echo "$as_me:$LINENO: \$? = $ac_status" >&5
67 (exit $ac_status); } &&
68 - { ac_try='test -z "$ac_c_werror_flag"
69 - || test ! -s conftest.err'
70 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
71 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
76 echo "$as_me:$LINENO: \$? = $ac_status" >&5
77 (exit $ac_status); } &&
78 - { ac_try='test -z "$ac_c_werror_flag"
79 - || test ! -s conftest.err'
80 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
81 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
86 echo "$as_me:$LINENO: \$? = $ac_status" >&5
87 (exit $ac_status); } &&
88 - { ac_try='test -z "$ac_cxx_werror_flag"
89 - || test ! -s conftest.err'
90 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
91 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
96 echo "$as_me:$LINENO: \$? = $ac_status" >&5
97 (exit $ac_status); } &&
98 - { ac_try='test -z "$ac_cxx_werror_flag"
99 - || test ! -s conftest.err'
100 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
101 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
104 @@ -3709,8 +3701,7 @@
106 echo "$as_me:$LINENO: \$? = $ac_status" >&5
107 (exit $ac_status); } &&
108 - { ac_try='test -z "$ac_cxx_werror_flag"
109 - || test ! -s conftest.err'
110 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
111 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
114 @@ -3754,8 +3745,7 @@
116 echo "$as_me:$LINENO: \$? = $ac_status" >&5
117 (exit $ac_status); } &&
118 - { ac_try='test -z "$ac_cxx_werror_flag"
119 - || test ! -s conftest.err'
120 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
121 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
124 @@ -4858,7 +4848,7 @@
127 # Find out which ABI we are using.
128 - echo '#line 4861 "configure"' > conftest.$ac_ext
129 + echo '#line 4851 "configure"' > conftest.$ac_ext
130 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
131 (eval $ac_compile) 2>&5
133 @@ -4978,8 +4968,7 @@
135 echo "$as_me:$LINENO: \$? = $ac_status" >&5
136 (exit $ac_status); } &&
137 - { ac_try='test -z "$ac_c_werror_flag"
138 - || test ! -s conftest.err'
139 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
140 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
143 @@ -5054,8 +5043,7 @@
145 echo "$as_me:$LINENO: \$? = $ac_status" >&5
146 (exit $ac_status); } &&
147 - { ac_try='test -z "$ac_c_werror_flag"
148 - || test ! -s conftest.err'
149 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
150 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
153 @@ -5225,8 +5213,7 @@
155 echo "$as_me:$LINENO: \$? = $ac_status" >&5
156 (exit $ac_status); } &&
157 - { ac_try='test -z "$ac_c_werror_flag"
158 - || test ! -s conftest.err'
159 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
160 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
163 @@ -5293,8 +5280,7 @@
165 echo "$as_me:$LINENO: \$? = $ac_status" >&5
166 (exit $ac_status); } &&
167 - { ac_try='test -z "$ac_c_werror_flag"
168 - || test ! -s conftest.err'
169 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
170 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
173 @@ -5732,7 +5718,7 @@
176 # Provide some information about the compiler.
177 -echo "$as_me:5735:" \
178 +echo "$as_me:5721:" \
179 "checking for Fortran 77 compiler version" >&5
180 ac_compiler=`set X $ac_compile; echo $2`
181 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
182 @@ -5778,8 +5764,7 @@
184 echo "$as_me:$LINENO: \$? = $ac_status" >&5
185 (exit $ac_status); } &&
186 - { ac_try='test -z "$ac_f77_werror_flag"
187 - || test ! -s conftest.err'
188 + { ac_try='test -z "$ac_f77_werror_flag" || test ! -s conftest.err'
189 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
192 @@ -5828,8 +5813,7 @@
194 echo "$as_me:$LINENO: \$? = $ac_status" >&5
195 (exit $ac_status); } &&
196 - { ac_try='test -z "$ac_f77_werror_flag"
197 - || test ! -s conftest.err'
198 + { ac_try='test -z "$ac_f77_werror_flag" || test ! -s conftest.err'
199 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
202 @@ -6766,11 +6750,11 @@
203 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
204 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
205 -e 's:$: $lt_compiler_flag:'`
206 - (eval echo "\"\$as_me:6769: $lt_compile\"" >&5)
207 + (eval echo "\"\$as_me:6753: $lt_compile\"" >&5)
208 (eval "$lt_compile" 2>conftest.err)
211 - echo "$as_me:6773: \$? = $ac_status" >&5
212 + echo "$as_me:6757: \$? = $ac_status" >&5
213 if (exit $ac_status) && test -s "$ac_outfile"; then
214 # The compiler can only warn and ignore the option if not recognized
215 # So say no if there are warnings
216 @@ -6999,11 +6983,11 @@
217 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
218 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
219 -e 's:$: $lt_compiler_flag:'`
220 - (eval echo "\"\$as_me:7002: $lt_compile\"" >&5)
221 + (eval echo "\"\$as_me:6986: $lt_compile\"" >&5)
222 (eval "$lt_compile" 2>conftest.err)
225 - echo "$as_me:7006: \$? = $ac_status" >&5
226 + echo "$as_me:6990: \$? = $ac_status" >&5
227 if (exit $ac_status) && test -s "$ac_outfile"; then
228 # The compiler can only warn and ignore the option if not recognized
229 # So say no if there are warnings
230 @@ -7059,11 +7043,11 @@
231 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
232 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
233 -e 's:$: $lt_compiler_flag:'`
234 - (eval echo "\"\$as_me:7062: $lt_compile\"" >&5)
235 + (eval echo "\"\$as_me:7046: $lt_compile\"" >&5)
236 (eval "$lt_compile" 2>out/conftest.err)
238 cat out/conftest.err >&5
239 - echo "$as_me:7066: \$? = $ac_status" >&5
240 + echo "$as_me:7050: \$? = $ac_status" >&5
241 if (exit $ac_status) && test -s out/conftest2.$ac_objext
243 # The compiler can only warn and ignore the option if not recognized
244 @@ -7450,8 +7434,7 @@
246 echo "$as_me:$LINENO: \$? = $ac_status" >&5
247 (exit $ac_status); } &&
248 - { ac_try='test -z "$ac_c_werror_flag"
249 - || test ! -s conftest.err'
250 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
251 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
254 @@ -7511,8 +7494,7 @@
256 echo "$as_me:$LINENO: \$? = $ac_status" >&5
257 (exit $ac_status); } &&
258 - { ac_try='test -z "$ac_c_werror_flag"
259 - || test ! -s conftest.err'
260 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
261 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
264 @@ -8393,7 +8375,7 @@
267 x86_64*|s390x*|powerpc64*)
268 - echo '#line 8396 "configure"' > conftest.$ac_ext
269 + echo '#line 8378 "configure"' > conftest.$ac_ext
270 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
271 (eval $ac_compile) 2>&5
273 @@ -8724,8 +8706,7 @@
275 echo "$as_me:$LINENO: \$? = $ac_status" >&5
276 (exit $ac_status); } &&
277 - { ac_try='test -z "$ac_c_werror_flag"
278 - || test ! -s conftest.err'
279 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
280 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
283 @@ -8828,8 +8809,7 @@
285 echo "$as_me:$LINENO: \$? = $ac_status" >&5
286 (exit $ac_status); } &&
287 - { ac_try='test -z "$ac_c_werror_flag"
288 - || test ! -s conftest.err'
289 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
290 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
293 @@ -8894,8 +8874,7 @@
295 echo "$as_me:$LINENO: \$? = $ac_status" >&5
296 (exit $ac_status); } &&
297 - { ac_try='test -z "$ac_c_werror_flag"
298 - || test ! -s conftest.err'
299 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
300 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
303 @@ -8988,8 +8967,7 @@
305 echo "$as_me:$LINENO: \$? = $ac_status" >&5
306 (exit $ac_status); } &&
307 - { ac_try='test -z "$ac_c_werror_flag"
308 - || test ! -s conftest.err'
309 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
310 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
313 @@ -9054,8 +9032,7 @@
315 echo "$as_me:$LINENO: \$? = $ac_status" >&5
316 (exit $ac_status); } &&
317 - { ac_try='test -z "$ac_c_werror_flag"
318 - || test ! -s conftest.err'
319 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
320 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
323 @@ -9121,8 +9098,7 @@
325 echo "$as_me:$LINENO: \$? = $ac_status" >&5
326 (exit $ac_status); } &&
327 - { ac_try='test -z "$ac_c_werror_flag"
328 - || test ! -s conftest.err'
329 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
330 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
333 @@ -9188,8 +9164,7 @@
335 echo "$as_me:$LINENO: \$? = $ac_status" >&5
336 (exit $ac_status); } &&
337 - { ac_try='test -z "$ac_c_werror_flag"
338 - || test ! -s conftest.err'
339 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
340 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
343 @@ -9264,7 +9239,7 @@
344 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
345 lt_status=$lt_dlunknown
346 cat > conftest.$ac_ext <<EOF
347 -#line 9267 "configure"
348 +#line 9242 "configure"
349 #include "confdefs.h"
352 @@ -9362,7 +9337,7 @@
353 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
354 lt_status=$lt_dlunknown
355 cat > conftest.$ac_ext <<EOF
356 -#line 9365 "configure"
357 +#line 9340 "configure"
358 #include "confdefs.h"
361 @@ -9763,6 +9738,7 @@
364 # Shared library suffix (normally ".so").
365 +shrext='$shrext_cmds'
366 shrext_cmds='$shrext_cmds'
368 # Executable file suffix (normally "").
369 @@ -10434,8 +10410,7 @@
371 echo "$as_me:$LINENO: \$? = $ac_status" >&5
372 (exit $ac_status); } &&
373 - { ac_try='test -z "$ac_cxx_werror_flag"
374 - || test ! -s conftest.err'
375 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
376 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
379 @@ -10496,8 +10471,7 @@
381 echo "$as_me:$LINENO: \$? = $ac_status" >&5
382 (exit $ac_status); } &&
383 - { ac_try='test -z "$ac_cxx_werror_flag"
384 - || test ! -s conftest.err'
385 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
386 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
389 @@ -11541,11 +11515,11 @@
390 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
391 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
392 -e 's:$: $lt_compiler_flag:'`
393 - (eval echo "\"\$as_me:11544: $lt_compile\"" >&5)
394 + (eval echo "\"\$as_me:11518: $lt_compile\"" >&5)
395 (eval "$lt_compile" 2>conftest.err)
398 - echo "$as_me:11548: \$? = $ac_status" >&5
399 + echo "$as_me:11522: \$? = $ac_status" >&5
400 if (exit $ac_status) && test -s "$ac_outfile"; then
401 # The compiler can only warn and ignore the option if not recognized
402 # So say no if there are warnings
403 @@ -11601,11 +11575,11 @@
404 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
405 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
406 -e 's:$: $lt_compiler_flag:'`
407 - (eval echo "\"\$as_me:11604: $lt_compile\"" >&5)
408 + (eval echo "\"\$as_me:11578: $lt_compile\"" >&5)
409 (eval "$lt_compile" 2>out/conftest.err)
411 cat out/conftest.err >&5
412 - echo "$as_me:11608: \$? = $ac_status" >&5
413 + echo "$as_me:11582: \$? = $ac_status" >&5
414 if (exit $ac_status) && test -s out/conftest2.$ac_objext
416 # The compiler can only warn and ignore the option if not recognized
417 @@ -12112,7 +12086,7 @@
420 x86_64*|s390x*|powerpc64*)
421 - echo '#line 12115 "configure"' > conftest.$ac_ext
422 + echo '#line 12089 "configure"' > conftest.$ac_ext
423 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
424 (eval $ac_compile) 2>&5
426 @@ -12443,8 +12417,7 @@
428 echo "$as_me:$LINENO: \$? = $ac_status" >&5
429 (exit $ac_status); } &&
430 - { ac_try='test -z "$ac_cxx_werror_flag"
431 - || test ! -s conftest.err'
432 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
433 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
436 @@ -12547,8 +12520,7 @@
438 echo "$as_me:$LINENO: \$? = $ac_status" >&5
439 (exit $ac_status); } &&
440 - { ac_try='test -z "$ac_cxx_werror_flag"
441 - || test ! -s conftest.err'
442 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
443 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
446 @@ -12613,8 +12585,7 @@
448 echo "$as_me:$LINENO: \$? = $ac_status" >&5
449 (exit $ac_status); } &&
450 - { ac_try='test -z "$ac_cxx_werror_flag"
451 - || test ! -s conftest.err'
452 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
453 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
456 @@ -12707,8 +12678,7 @@
458 echo "$as_me:$LINENO: \$? = $ac_status" >&5
459 (exit $ac_status); } &&
460 - { ac_try='test -z "$ac_cxx_werror_flag"
461 - || test ! -s conftest.err'
462 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
463 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
466 @@ -12773,8 +12743,7 @@
468 echo "$as_me:$LINENO: \$? = $ac_status" >&5
469 (exit $ac_status); } &&
470 - { ac_try='test -z "$ac_cxx_werror_flag"
471 - || test ! -s conftest.err'
472 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
473 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
476 @@ -12840,8 +12809,7 @@
478 echo "$as_me:$LINENO: \$? = $ac_status" >&5
479 (exit $ac_status); } &&
480 - { ac_try='test -z "$ac_cxx_werror_flag"
481 - || test ! -s conftest.err'
482 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
483 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
486 @@ -12907,8 +12875,7 @@
488 echo "$as_me:$LINENO: \$? = $ac_status" >&5
489 (exit $ac_status); } &&
490 - { ac_try='test -z "$ac_cxx_werror_flag"
491 - || test ! -s conftest.err'
492 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
493 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
496 @@ -12983,7 +12950,7 @@
497 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
498 lt_status=$lt_dlunknown
499 cat > conftest.$ac_ext <<EOF
500 -#line 12986 "configure"
501 +#line 12953 "configure"
502 #include "confdefs.h"
505 @@ -13081,7 +13048,7 @@
506 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
507 lt_status=$lt_dlunknown
508 cat > conftest.$ac_ext <<EOF
509 -#line 13084 "configure"
510 +#line 13051 "configure"
511 #include "confdefs.h"
514 @@ -13360,6 +13327,7 @@
517 # Shared library suffix (normally ".so").
518 +shrext='$shrext_cmds'
519 shrext_cmds='$shrext_cmds'
521 # Executable file suffix (normally "").
522 @@ -13908,11 +13876,11 @@
523 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
524 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
525 -e 's:$: $lt_compiler_flag:'`
526 - (eval echo "\"\$as_me:13911: $lt_compile\"" >&5)
527 + (eval echo "\"\$as_me:13879: $lt_compile\"" >&5)
528 (eval "$lt_compile" 2>conftest.err)
531 - echo "$as_me:13915: \$? = $ac_status" >&5
532 + echo "$as_me:13883: \$? = $ac_status" >&5
533 if (exit $ac_status) && test -s "$ac_outfile"; then
534 # The compiler can only warn and ignore the option if not recognized
535 # So say no if there are warnings
536 @@ -13968,11 +13936,11 @@
537 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
538 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
539 -e 's:$: $lt_compiler_flag:'`
540 - (eval echo "\"\$as_me:13971: $lt_compile\"" >&5)
541 + (eval echo "\"\$as_me:13939: $lt_compile\"" >&5)
542 (eval "$lt_compile" 2>out/conftest.err)
544 cat out/conftest.err >&5
545 - echo "$as_me:13975: \$? = $ac_status" >&5
546 + echo "$as_me:13943: \$? = $ac_status" >&5
547 if (exit $ac_status) && test -s out/conftest2.$ac_objext
549 # The compiler can only warn and ignore the option if not recognized
550 @@ -14349,8 +14317,7 @@
552 echo "$as_me:$LINENO: \$? = $ac_status" >&5
553 (exit $ac_status); } &&
554 - { ac_try='test -z "$ac_f77_werror_flag"
555 - || test ! -s conftest.err'
556 + { ac_try='test -z "$ac_f77_werror_flag" || test ! -s conftest.err'
557 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
560 @@ -14400,8 +14367,7 @@
562 echo "$as_me:$LINENO: \$? = $ac_status" >&5
563 (exit $ac_status); } &&
564 - { ac_try='test -z "$ac_f77_werror_flag"
565 - || test ! -s conftest.err'
566 + { ac_try='test -z "$ac_f77_werror_flag" || test ! -s conftest.err'
567 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
570 @@ -15282,7 +15248,7 @@
573 x86_64*|s390x*|powerpc64*)
574 - echo '#line 15285 "configure"' > conftest.$ac_ext
575 + echo '#line 15251 "configure"' > conftest.$ac_ext
576 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
577 (eval $ac_compile) 2>&5
579 @@ -15725,6 +15691,7 @@
582 # Shared library suffix (normally ".so").
583 +shrext='$shrext_cmds'
584 shrext_cmds='$shrext_cmds'
586 # Executable file suffix (normally "").
587 @@ -16023,11 +15990,11 @@
588 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
589 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
590 -e 's:$: $lt_compiler_flag:'`
591 - (eval echo "\"\$as_me:16026: $lt_compile\"" >&5)
592 + (eval echo "\"\$as_me:15993: $lt_compile\"" >&5)
593 (eval "$lt_compile" 2>conftest.err)
596 - echo "$as_me:16030: \$? = $ac_status" >&5
597 + echo "$as_me:15997: \$? = $ac_status" >&5
598 if (exit $ac_status) && test -s "$ac_outfile"; then
599 # The compiler can only warn and ignore the option if not recognized
600 # So say no if there are warnings
601 @@ -16256,11 +16223,11 @@
602 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
603 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
604 -e 's:$: $lt_compiler_flag:'`
605 - (eval echo "\"\$as_me:16259: $lt_compile\"" >&5)
606 + (eval echo "\"\$as_me:16226: $lt_compile\"" >&5)
607 (eval "$lt_compile" 2>conftest.err)
610 - echo "$as_me:16263: \$? = $ac_status" >&5
611 + echo "$as_me:16230: \$? = $ac_status" >&5
612 if (exit $ac_status) && test -s "$ac_outfile"; then
613 # The compiler can only warn and ignore the option if not recognized
614 # So say no if there are warnings
615 @@ -16316,11 +16283,11 @@
616 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
617 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
618 -e 's:$: $lt_compiler_flag:'`
619 - (eval echo "\"\$as_me:16319: $lt_compile\"" >&5)
620 + (eval echo "\"\$as_me:16286: $lt_compile\"" >&5)
621 (eval "$lt_compile" 2>out/conftest.err)
623 cat out/conftest.err >&5
624 - echo "$as_me:16323: \$? = $ac_status" >&5
625 + echo "$as_me:16290: \$? = $ac_status" >&5
626 if (exit $ac_status) && test -s out/conftest2.$ac_objext
628 # The compiler can only warn and ignore the option if not recognized
629 @@ -16707,8 +16674,7 @@
631 echo "$as_me:$LINENO: \$? = $ac_status" >&5
632 (exit $ac_status); } &&
633 - { ac_try='test -z "$ac_c_werror_flag"
634 - || test ! -s conftest.err'
635 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
636 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
639 @@ -16768,8 +16734,7 @@
641 echo "$as_me:$LINENO: \$? = $ac_status" >&5
642 (exit $ac_status); } &&
643 - { ac_try='test -z "$ac_c_werror_flag"
644 - || test ! -s conftest.err'
645 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
646 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
649 @@ -17650,7 +17615,7 @@
652 x86_64*|s390x*|powerpc64*)
653 - echo '#line 17653 "configure"' > conftest.$ac_ext
654 + echo '#line 17618 "configure"' > conftest.$ac_ext
655 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
656 (eval $ac_compile) 2>&5
658 @@ -17981,8 +17946,7 @@
660 echo "$as_me:$LINENO: \$? = $ac_status" >&5
661 (exit $ac_status); } &&
662 - { ac_try='test -z "$ac_c_werror_flag"
663 - || test ! -s conftest.err'
664 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
665 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
668 @@ -18085,8 +18049,7 @@
670 echo "$as_me:$LINENO: \$? = $ac_status" >&5
671 (exit $ac_status); } &&
672 - { ac_try='test -z "$ac_c_werror_flag"
673 - || test ! -s conftest.err'
674 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
675 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
678 @@ -18151,8 +18114,7 @@
680 echo "$as_me:$LINENO: \$? = $ac_status" >&5
681 (exit $ac_status); } &&
682 - { ac_try='test -z "$ac_c_werror_flag"
683 - || test ! -s conftest.err'
684 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
685 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
688 @@ -18245,8 +18207,7 @@
690 echo "$as_me:$LINENO: \$? = $ac_status" >&5
691 (exit $ac_status); } &&
692 - { ac_try='test -z "$ac_c_werror_flag"
693 - || test ! -s conftest.err'
694 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
695 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
698 @@ -18311,8 +18272,7 @@
700 echo "$as_me:$LINENO: \$? = $ac_status" >&5
701 (exit $ac_status); } &&
702 - { ac_try='test -z "$ac_c_werror_flag"
703 - || test ! -s conftest.err'
704 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
705 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
708 @@ -18378,8 +18338,7 @@
710 echo "$as_me:$LINENO: \$? = $ac_status" >&5
711 (exit $ac_status); } &&
712 - { ac_try='test -z "$ac_c_werror_flag"
713 - || test ! -s conftest.err'
714 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
715 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
718 @@ -18445,8 +18404,7 @@
720 echo "$as_me:$LINENO: \$? = $ac_status" >&5
721 (exit $ac_status); } &&
722 - { ac_try='test -z "$ac_c_werror_flag"
723 - || test ! -s conftest.err'
724 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
725 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
728 @@ -18521,7 +18479,7 @@
729 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
730 lt_status=$lt_dlunknown
731 cat > conftest.$ac_ext <<EOF
732 -#line 18524 "configure"
733 +#line 18482 "configure"
734 #include "confdefs.h"
737 @@ -18619,7 +18577,7 @@
738 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
739 lt_status=$lt_dlunknown
740 cat > conftest.$ac_ext <<EOF
741 -#line 18622 "configure"
742 +#line 18580 "configure"
743 #include "confdefs.h"
746 @@ -18898,6 +18856,7 @@
749 # Shared library suffix (normally ".so").
750 +shrext='$shrext_cmds'
751 shrext_cmds='$shrext_cmds'
753 # Executable file suffix (normally "").
754 @@ -19343,6 +19302,7 @@
757 # Shared library suffix (normally ".so").
758 +shrext='$shrext_cmds'
759 shrext_cmds='$shrext_cmds'
761 # Executable file suffix (normally "").
762 @@ -19840,6 +19800,13 @@
764 #check the return type of sprintf
767 + cat >>confdefs.h <<\_ACEOF
768 +#define SPRINTF_RETURNS_INT 1
770 + echo "$as_me:$LINENO: result: \"int\"" >&5
771 +echo "${ECHO_T}\"int\"" >&6
774 cat >>confdefs.h <<\_ACEOF
775 #define SPRINTF_RETURNS_INT 1
776 @@ -20939,8 +20906,7 @@
778 echo "$as_me:$LINENO: \$? = $ac_status" >&5
779 (exit $ac_status); } &&
780 - { ac_try='test -z "$ac_c_werror_flag"
781 - || test ! -s conftest.err'
782 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
783 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
786 @@ -21432,8 +21398,7 @@
788 echo "$as_me:$LINENO: \$? = $ac_status" >&5
789 (exit $ac_status); } &&
790 - { ac_try='test -z "$ac_c_werror_flag"
791 - || test ! -s conftest.err'
792 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
793 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
796 @@ -21671,8 +21636,7 @@
798 echo "$as_me:$LINENO: \$? = $ac_status" >&5
799 (exit $ac_status); } &&
800 - { ac_try='test -z "$ac_c_werror_flag"
801 - || test ! -s conftest.err'
802 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
803 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
806 @@ -21750,8 +21714,7 @@
808 echo "$as_me:$LINENO: \$? = $ac_status" >&5
809 (exit $ac_status); } &&
810 - { ac_try='test -z "$ac_c_werror_flag"
811 - || test ! -s conftest.err'
812 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
813 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
816 @@ -21823,8 +21786,7 @@
818 echo "$as_me:$LINENO: \$? = $ac_status" >&5
819 (exit $ac_status); } &&
820 - { ac_try='test -z "$ac_c_werror_flag"
821 - || test ! -s conftest.err'
822 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
823 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
826 @@ -21878,8 +21840,7 @@
828 echo "$as_me:$LINENO: \$? = $ac_status" >&5
829 (exit $ac_status); } &&
830 - { ac_try='test -z "$ac_c_werror_flag"
831 - || test ! -s conftest.err'
832 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
833 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
836 @@ -21950,8 +21911,7 @@
838 echo "$as_me:$LINENO: \$? = $ac_status" >&5
839 (exit $ac_status); } &&
840 - { ac_try='test -z "$ac_c_werror_flag"
841 - || test ! -s conftest.err'
842 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
843 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
846 @@ -22005,8 +21965,7 @@
848 echo "$as_me:$LINENO: \$? = $ac_status" >&5
849 (exit $ac_status); } &&
850 - { ac_try='test -z "$ac_c_werror_flag"
851 - || test ! -s conftest.err'
852 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
853 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
856 @@ -22073,8 +22032,7 @@
858 echo "$as_me:$LINENO: \$? = $ac_status" >&5
859 (exit $ac_status); } &&
860 - { ac_try='test -z "$ac_c_werror_flag"
861 - || test ! -s conftest.err'
862 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
863 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
866 @@ -22245,8 +22203,7 @@
868 echo "$as_me:$LINENO: \$? = $ac_status" >&5
869 (exit $ac_status); } &&
870 - { ac_try='test -z "$ac_c_werror_flag"
871 - || test ! -s conftest.err'
872 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
873 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
876 @@ -22351,8 +22308,7 @@
878 echo "$as_me:$LINENO: \$? = $ac_status" >&5
879 (exit $ac_status); } &&
880 - { ac_try='test -z "$ac_c_werror_flag"
881 - || test ! -s conftest.err'
882 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
883 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
886 @@ -22512,8 +22468,7 @@
888 echo "$as_me:$LINENO: \$? = $ac_status" >&5
889 (exit $ac_status); } &&
890 - { ac_try='test -z "$ac_c_werror_flag"
891 - || test ! -s conftest.err'
892 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
893 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
896 @@ -22585,8 +22540,7 @@
898 echo "$as_me:$LINENO: \$? = $ac_status" >&5
899 (exit $ac_status); } &&
900 - { ac_try='test -z "$ac_c_werror_flag"
901 - || test ! -s conftest.err'
902 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
903 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
906 @@ -22662,8 +22616,7 @@
908 echo "$as_me:$LINENO: \$? = $ac_status" >&5
909 (exit $ac_status); } &&
910 - { ac_try='test -z "$ac_c_werror_flag"
911 - || test ! -s conftest.err'
912 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
913 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
916 @@ -22735,8 +22688,7 @@
918 echo "$as_me:$LINENO: \$? = $ac_status" >&5
919 (exit $ac_status); } &&
920 - { ac_try='test -z "$ac_c_werror_flag"
921 - || test ! -s conftest.err'
922 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
923 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
926 @@ -22837,8 +22789,7 @@
928 echo "$as_me:$LINENO: \$? = $ac_status" >&5
929 (exit $ac_status); } &&
930 - { ac_try='test -z "$ac_c_werror_flag"
931 - || test ! -s conftest.err'
932 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
933 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
936 @@ -22929,8 +22880,7 @@
938 echo "$as_me:$LINENO: \$? = $ac_status" >&5
939 (exit $ac_status); } &&
940 - { ac_try='test -z "$ac_c_werror_flag"
941 - || test ! -s conftest.err'
942 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
943 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
946 @@ -22996,8 +22946,7 @@
948 echo "$as_me:$LINENO: \$? = $ac_status" >&5
949 (exit $ac_status); } &&
950 - { ac_try='test -z "$ac_c_werror_flag"
951 - || test ! -s conftest.err'
952 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
953 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
956 @@ -23098,8 +23047,7 @@
958 echo "$as_me:$LINENO: \$? = $ac_status" >&5
959 (exit $ac_status); } &&
960 - { ac_try='test -z "$ac_c_werror_flag"
961 - || test ! -s conftest.err'
962 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
963 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
966 @@ -23165,8 +23113,7 @@
968 echo "$as_me:$LINENO: \$? = $ac_status" >&5
969 (exit $ac_status); } &&
970 - { ac_try='test -z "$ac_c_werror_flag"
971 - || test ! -s conftest.err'
972 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
973 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
976 @@ -23267,8 +23214,7 @@
978 echo "$as_me:$LINENO: \$? = $ac_status" >&5
979 (exit $ac_status); } &&
980 - { ac_try='test -z "$ac_c_werror_flag"
981 - || test ! -s conftest.err'
982 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
983 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
986 @@ -23334,8 +23280,7 @@
988 echo "$as_me:$LINENO: \$? = $ac_status" >&5
989 (exit $ac_status); } &&
990 - { ac_try='test -z "$ac_c_werror_flag"
991 - || test ! -s conftest.err'
992 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
993 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
996 @@ -23437,8 +23382,7 @@
998 echo "$as_me:$LINENO: \$? = $ac_status" >&5
999 (exit $ac_status); } &&
1000 - { ac_try='test -z "$ac_c_werror_flag"
1001 - || test ! -s conftest.err'
1002 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1003 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1006 @@ -23504,8 +23448,7 @@
1007 cat conftest.err >&5
1008 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1009 (exit $ac_status); } &&
1010 - { ac_try='test -z "$ac_c_werror_flag"
1011 - || test ! -s conftest.err'
1012 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1013 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1016 @@ -23581,8 +23524,7 @@
1017 cat conftest.err >&5
1018 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1019 (exit $ac_status); } &&
1020 - { ac_try='test -z "$ac_c_werror_flag"
1021 - || test ! -s conftest.err'
1022 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1023 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1026 @@ -23681,8 +23623,7 @@
1027 cat conftest.err >&5
1028 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1029 (exit $ac_status); } &&
1030 - { ac_try='test -z "$ac_c_werror_flag"
1031 - || test ! -s conftest.err'
1032 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1033 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1036 @@ -23780,8 +23721,7 @@
1037 cat conftest.err >&5
1038 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1039 (exit $ac_status); } &&
1040 - { ac_try='test -z "$ac_c_werror_flag"
1041 - || test ! -s conftest.err'
1042 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1043 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1046 @@ -23847,8 +23787,7 @@
1047 cat conftest.err >&5
1048 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1049 (exit $ac_status); } &&
1050 - { ac_try='test -z "$ac_c_werror_flag"
1051 - || test ! -s conftest.err'
1052 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1053 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1056 @@ -24019,8 +23958,7 @@
1057 cat conftest.err >&5
1058 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1059 (exit $ac_status); } &&
1060 - { ac_try='test -z "$ac_c_werror_flag"
1061 - || test ! -s conftest.err'
1062 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1063 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1066 @@ -24159,8 +24097,7 @@
1067 cat conftest.err >&5
1068 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1069 (exit $ac_status); } &&
1070 - { ac_try='test -z "$ac_c_werror_flag"
1071 - || test ! -s conftest.err'
1072 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1073 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1076 @@ -24209,10 +24146,13 @@
1079 if test "$IS_LINUX" = "true"; then
1080 - echo "$as_me:$LINENO: checking for atomic operations" >&5
1081 -echo $ECHO_N "checking for atomic operations... $ECHO_C" >&6
1084 + echo "$as_me:$LINENO: checking for atomic add operation" >&5
1085 +echo $ECHO_N "checking for atomic add operation... $ECHO_C" >&6
1086 +if test "${ac_atomic_add+set}" = set; then
1087 + echo $ECHO_N "(cached) $ECHO_C" >&6
1090 if test "$cross_compiling" = yes; then
1091 { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
1092 See \`config.log' for more details." >&5
1093 @@ -24249,18 +24189,36 @@
1095 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1096 (exit $ac_status); }; }; then
1097 - cat >>confdefs.h <<\_ACEOF
1098 -#define HAVE_ATOMIC_ADD 1
1100 - atom_ops="${atom_ops}atomic_add "
1103 echo "$as_me: program exited with status $ac_status" >&5
1104 echo "$as_me: failed program was:" >&5
1105 sed 's/^/| /' conftest.$ac_ext >&5
1107 +( exit $ac_status )
1110 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
1114 +echo "$as_me:$LINENO: result: $ac_atomic_add" >&5
1115 +echo "${ECHO_T}$ac_atomic_add" >&6
1116 + if test "$ac_atomic_add" = "yes"
1118 + cat >>confdefs.h <<\_ACEOF
1119 +#define HAVE_ATOMIC_ADD 1
1122 + atom_ops="${atom_ops}atomic_add "
1125 + echo "$as_me:$LINENO: checking for atomic sub operation" >&5
1126 +echo $ECHO_N "checking for atomic sub operation... $ECHO_C" >&6
1127 +if test "${ac_atomic_sub+set}" = set; then
1128 + echo $ECHO_N "(cached) $ECHO_C" >&6
1131 if test "$cross_compiling" = yes; then
1132 { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
1133 See \`config.log' for more details." >&5
1134 @@ -24297,22 +24255,29 @@
1136 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1137 (exit $ac_status); }; }; then
1138 - cat >>confdefs.h <<\_ACEOF
1139 -#define HAVE_ATOMIC_SUB 1
1141 - atom_ops="${atom_ops}atomic_sub "
1144 echo "$as_me: program exited with status $ac_status" >&5
1145 echo "$as_me: failed program was:" >&5
1146 sed 's/^/| /' conftest.$ac_ext >&5
1148 +( exit $ac_status )
1151 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
1154 - if test -z "$atom_ops"; then atom_ops="no"; fi
1155 - echo "$as_me:$LINENO: result: $atom_ops" >&5
1156 -echo "${ECHO_T}$atom_ops" >&6
1158 +echo "$as_me:$LINENO: result: $ac_atomic_sub" >&5
1159 +echo "${ECHO_T}$ac_atomic_sub" >&6
1160 + if test "$ac_atomic_sub" = "yes"
1162 + cat >>confdefs.h <<\_ACEOF
1163 +#define HAVE_ATOMIC_SUB 1
1166 + atom_ops="${atom_ops}atomic_sub "
1170 # Check whether --with-pstack or --without-pstack was given.
1171 @@ -24366,8 +24331,7 @@
1172 cat conftest.err >&5
1173 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1174 (exit $ac_status); } &&
1175 - { ac_try='test -z "$ac_c_werror_flag"
1176 - || test ! -s conftest.err'
1177 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1178 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1181 @@ -24432,8 +24396,7 @@
1182 cat conftest.err >&5
1183 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1184 (exit $ac_status); } &&
1185 - { ac_try='test -z "$ac_c_werror_flag"
1186 - || test ! -s conftest.err'
1187 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1188 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1191 @@ -24568,8 +24531,7 @@
1192 cat conftest.err >&5
1193 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1194 (exit $ac_status); } &&
1195 - { ac_try='test -z "$ac_c_werror_flag"
1196 - || test ! -s conftest.err'
1197 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1198 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1201 @@ -24635,8 +24597,7 @@
1202 cat conftest.err >&5
1203 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1204 (exit $ac_status); } &&
1205 - { ac_try='test -z "$ac_c_werror_flag"
1206 - || test ! -s conftest.err'
1207 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1208 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1211 @@ -24680,6 +24641,10 @@
1212 echo "$as_me:$LINENO: checking for int8" >&5
1213 echo $ECHO_N "checking for int8... $ECHO_C" >&6
1214 case $SYSTEM_TYPE in
1216 + echo "$as_me:$LINENO: result: no" >&5
1217 +echo "${ECHO_T}no" >&6
1220 echo "$as_me:$LINENO: result: no" >&5
1221 echo "${ECHO_T}no" >&6
1222 @@ -25082,8 +25047,7 @@
1223 cat conftest.err >&5
1224 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1225 (exit $ac_status); } &&
1226 - { ac_try='test -z "$ac_c_werror_flag"
1227 - || test ! -s conftest.err'
1228 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1229 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1232 @@ -25481,8 +25445,7 @@
1233 cat conftest.err >&5
1234 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1235 (exit $ac_status); } &&
1236 - { ac_try='test -z "$ac_c_werror_flag"
1237 - || test ! -s conftest.err'
1238 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1239 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1242 @@ -25537,8 +25500,7 @@
1243 cat conftest.err >&5
1244 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1245 (exit $ac_status); } &&
1246 - { ac_try='test -z "$ac_c_werror_flag"
1247 - || test ! -s conftest.err'
1248 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1249 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1252 @@ -25591,8 +25553,7 @@
1253 cat conftest.err >&5
1254 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1255 (exit $ac_status); } &&
1256 - { ac_try='test -z "$ac_c_werror_flag"
1257 - || test ! -s conftest.err'
1258 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1259 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1262 @@ -25646,8 +25607,7 @@
1263 cat conftest.err >&5
1264 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1265 (exit $ac_status); } &&
1266 - { ac_try='test -z "$ac_c_werror_flag"
1267 - || test ! -s conftest.err'
1268 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1272 @@ -25726,8 +25686,7 @@
1273 cat conftest.err >&5
1274 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1275 (exit $ac_status); } &&
1276 - { ac_try='test -z "$ac_c_werror_flag"
1277 - || test ! -s conftest.err'
1278 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1279 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1282 @@ -25803,8 +25762,7 @@
1283 cat conftest.err >&5
1284 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1285 (exit $ac_status); } &&
1286 - { ac_try='test -z "$ac_c_werror_flag"
1287 - || test ! -s conftest.err'
1288 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1289 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1292 @@ -25913,8 +25871,7 @@
1293 cat conftest.err >&5
1294 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1295 (exit $ac_status); } &&
1296 - { ac_try='test -z "$ac_c_werror_flag"
1297 - || test ! -s conftest.err'
1298 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1299 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1302 @@ -26016,8 +25973,7 @@
1303 cat conftest.err >&5
1304 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1305 (exit $ac_status); } &&
1306 - { ac_try='test -z "$ac_c_werror_flag"
1307 - || test ! -s conftest.err'
1308 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1309 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1312 @@ -26097,8 +26053,7 @@
1313 cat conftest.err >&5
1314 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1315 (exit $ac_status); } &&
1316 - { ac_try='test -z "$ac_c_werror_flag"
1317 - || test ! -s conftest.err'
1318 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1319 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1322 @@ -26174,8 +26129,7 @@
1323 cat conftest.err >&5
1324 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1325 (exit $ac_status); } &&
1326 - { ac_try='test -z "$ac_c_werror_flag"
1327 - || test ! -s conftest.err'
1328 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1329 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1332 @@ -26393,7 +26347,9 @@
1335 DEBUG_OPTIMIZE_CC="-O"
1336 + if test -z "$OPTIMIZE_CFLAGS" ; then
1337 OPTIMIZE_CFLAGS="$MAX_C_OPTIMIZE"
1341 DEBUG_OPTIMIZE_CC=""
1342 @@ -26403,7 +26359,9 @@
1345 DEBUG_OPTIMIZE_CXX="-O"
1346 + if test -z "$OPTIMIZE_CXXFLAGS" ; then
1347 OPTIMIZE_CXXFLAGS="$MAX_CXX_OPTIMIZE"
1351 DEBUG_OPTIMIZE_CXX=""
1352 @@ -26597,8 +26555,7 @@
1353 cat conftest.err >&5
1354 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1355 (exit $ac_status); } &&
1356 - { ac_try='test -z "$ac_c_werror_flag"
1357 - || test ! -s conftest.err'
1358 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1359 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1362 @@ -26658,8 +26615,7 @@
1363 cat conftest.err >&5
1364 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1365 (exit $ac_status); } &&
1366 - { ac_try='test -z "$ac_c_werror_flag"
1367 - || test ! -s conftest.err'
1368 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1369 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1372 @@ -26732,8 +26688,7 @@
1373 cat conftest.err >&5
1374 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1375 (exit $ac_status); } &&
1376 - { ac_try='test -z "$ac_c_werror_flag"
1377 - || test ! -s conftest.err'
1378 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1379 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1382 @@ -26798,8 +26753,7 @@
1383 cat conftest.err >&5
1384 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1385 (exit $ac_status); } &&
1386 - { ac_try='test -z "$ac_c_werror_flag"
1387 - || test ! -s conftest.err'
1388 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1389 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1392 @@ -26842,8 +26796,7 @@
1393 cat conftest.err >&5
1394 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1395 (exit $ac_status); } &&
1396 - { ac_try='test -z "$ac_c_werror_flag"
1397 - || test ! -s conftest.err'
1398 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1399 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1402 @@ -26915,8 +26868,7 @@
1403 cat conftest.err >&5
1404 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1405 (exit $ac_status); } &&
1406 - { ac_try='test -z "$ac_c_werror_flag"
1407 - || test ! -s conftest.err'
1408 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1409 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1412 @@ -26978,8 +26930,7 @@
1413 cat conftest.err >&5
1414 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1415 (exit $ac_status); } &&
1416 - { ac_try='test -z "$ac_c_werror_flag"
1417 - || test ! -s conftest.err'
1418 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1419 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1422 @@ -27044,8 +26995,7 @@
1423 cat conftest.err >&5
1424 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1425 (exit $ac_status); } &&
1426 - { ac_try='test -z "$ac_c_werror_flag"
1427 - || test ! -s conftest.err'
1428 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1429 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1432 @@ -27107,8 +27057,7 @@
1433 cat conftest.err >&5
1434 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1435 (exit $ac_status); } &&
1436 - { ac_try='test -z "$ac_c_werror_flag"
1437 - || test ! -s conftest.err'
1438 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1439 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1442 @@ -27148,8 +27097,7 @@
1443 cat conftest.err >&5
1444 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1445 (exit $ac_status); } &&
1446 - { ac_try='test -z "$ac_c_werror_flag"
1447 - || test ! -s conftest.err'
1448 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1449 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1452 @@ -27205,8 +27153,7 @@
1453 cat conftest.err >&5
1454 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1455 (exit $ac_status); } &&
1456 - { ac_try='test -z "$ac_c_werror_flag"
1457 - || test ! -s conftest.err'
1458 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1459 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1462 @@ -27246,8 +27193,7 @@
1463 cat conftest.err >&5
1464 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1465 (exit $ac_status); } &&
1466 - { ac_try='test -z "$ac_c_werror_flag"
1467 - || test ! -s conftest.err'
1468 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1469 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1472 @@ -27311,8 +27257,7 @@
1473 cat conftest.err >&5
1474 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1475 (exit $ac_status); } &&
1476 - { ac_try='test -z "$ac_c_werror_flag"
1477 - || test ! -s conftest.err'
1478 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1479 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1482 @@ -27343,10 +27288,8 @@
1485 if test "$cross_compiling" = yes; then
1486 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
1487 -See \`config.log' for more details." >&5
1488 -echo "$as_me: error: cannot run test program while cross compiling
1489 -See \`config.log' for more details." >&2;}
1490 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
1491 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
1492 { (exit 1); exit 1; }; }
1494 cat >conftest.$ac_ext <<_ACEOF
1495 @@ -27476,8 +27419,7 @@
1496 cat conftest.err >&5
1497 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1498 (exit $ac_status); } &&
1499 - { ac_try='test -z "$ac_c_werror_flag"
1500 - || test ! -s conftest.err'
1501 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1502 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1505 @@ -27539,8 +27481,7 @@
1506 cat conftest.err >&5
1507 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1508 (exit $ac_status); } &&
1509 - { ac_try='test -z "$ac_c_werror_flag"
1510 - || test ! -s conftest.err'
1511 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1512 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1515 @@ -27580,8 +27521,7 @@
1516 cat conftest.err >&5
1517 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1518 (exit $ac_status); } &&
1519 - { ac_try='test -z "$ac_c_werror_flag"
1520 - || test ! -s conftest.err'
1521 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1522 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1525 @@ -27637,8 +27577,7 @@
1526 cat conftest.err >&5
1527 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1528 (exit $ac_status); } &&
1529 - { ac_try='test -z "$ac_c_werror_flag"
1530 - || test ! -s conftest.err'
1531 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1532 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1535 @@ -27678,8 +27617,7 @@
1536 cat conftest.err >&5
1537 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1538 (exit $ac_status); } &&
1539 - { ac_try='test -z "$ac_c_werror_flag"
1540 - || test ! -s conftest.err'
1541 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1542 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1545 @@ -27743,8 +27681,7 @@
1546 cat conftest.err >&5
1547 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1548 (exit $ac_status); } &&
1549 - { ac_try='test -z "$ac_c_werror_flag"
1550 - || test ! -s conftest.err'
1551 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1552 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1555 @@ -27775,10 +27712,8 @@
1558 if test "$cross_compiling" = yes; then
1559 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
1560 -See \`config.log' for more details." >&5
1561 -echo "$as_me: error: cannot run test program while cross compiling
1562 -See \`config.log' for more details." >&2;}
1563 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
1564 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
1565 { (exit 1); exit 1; }; }
1567 cat >conftest.$ac_ext <<_ACEOF
1568 @@ -27890,8 +27825,7 @@
1569 cat conftest.err >&5
1570 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1571 (exit $ac_status); } &&
1572 - { ac_try='test -z "$ac_c_werror_flag"
1573 - || test ! -s conftest.err'
1574 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1575 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1578 @@ -27953,8 +27887,7 @@
1579 cat conftest.err >&5
1580 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1581 (exit $ac_status); } &&
1582 - { ac_try='test -z "$ac_c_werror_flag"
1583 - || test ! -s conftest.err'
1584 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1585 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1588 @@ -27994,8 +27927,7 @@
1589 cat conftest.err >&5
1590 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1591 (exit $ac_status); } &&
1592 - { ac_try='test -z "$ac_c_werror_flag"
1593 - || test ! -s conftest.err'
1594 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1595 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1598 @@ -28051,8 +27983,7 @@
1599 cat conftest.err >&5
1600 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1601 (exit $ac_status); } &&
1602 - { ac_try='test -z "$ac_c_werror_flag"
1603 - || test ! -s conftest.err'
1604 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1605 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1608 @@ -28092,8 +28023,7 @@
1609 cat conftest.err >&5
1610 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1611 (exit $ac_status); } &&
1612 - { ac_try='test -z "$ac_c_werror_flag"
1613 - || test ! -s conftest.err'
1614 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1615 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1618 @@ -28157,8 +28087,7 @@
1619 cat conftest.err >&5
1620 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1621 (exit $ac_status); } &&
1622 - { ac_try='test -z "$ac_c_werror_flag"
1623 - || test ! -s conftest.err'
1624 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1625 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1628 @@ -28189,10 +28118,8 @@
1631 if test "$cross_compiling" = yes; then
1632 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
1633 -See \`config.log' for more details." >&5
1634 -echo "$as_me: error: cannot run test program while cross compiling
1635 -See \`config.log' for more details." >&2;}
1636 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
1637 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
1638 { (exit 1); exit 1; }; }
1640 cat >conftest.$ac_ext <<_ACEOF
1641 @@ -28310,8 +28237,7 @@
1642 cat conftest.err >&5
1643 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1644 (exit $ac_status); } &&
1645 - { ac_try='test -z "$ac_c_werror_flag"
1646 - || test ! -s conftest.err'
1647 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1648 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1651 @@ -28373,8 +28299,7 @@
1652 cat conftest.err >&5
1653 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1654 (exit $ac_status); } &&
1655 - { ac_try='test -z "$ac_c_werror_flag"
1656 - || test ! -s conftest.err'
1657 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1658 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1661 @@ -28414,8 +28339,7 @@
1662 cat conftest.err >&5
1663 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1664 (exit $ac_status); } &&
1665 - { ac_try='test -z "$ac_c_werror_flag"
1666 - || test ! -s conftest.err'
1667 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1668 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1671 @@ -28471,8 +28395,7 @@
1672 cat conftest.err >&5
1673 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1674 (exit $ac_status); } &&
1675 - { ac_try='test -z "$ac_c_werror_flag"
1676 - || test ! -s conftest.err'
1677 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1678 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1681 @@ -28512,8 +28435,7 @@
1682 cat conftest.err >&5
1683 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1684 (exit $ac_status); } &&
1685 - { ac_try='test -z "$ac_c_werror_flag"
1686 - || test ! -s conftest.err'
1687 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1688 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1691 @@ -28577,8 +28499,7 @@
1692 cat conftest.err >&5
1693 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1694 (exit $ac_status); } &&
1695 - { ac_try='test -z "$ac_c_werror_flag"
1696 - || test ! -s conftest.err'
1697 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1698 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1701 @@ -28609,10 +28530,8 @@
1704 if test "$cross_compiling" = yes; then
1705 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
1706 -See \`config.log' for more details." >&5
1707 -echo "$as_me: error: cannot run test program while cross compiling
1708 -See \`config.log' for more details." >&2;}
1709 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
1710 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
1711 { (exit 1); exit 1; }; }
1713 cat >conftest.$ac_ext <<_ACEOF
1714 @@ -28730,8 +28649,7 @@
1715 cat conftest.err >&5
1716 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1717 (exit $ac_status); } &&
1718 - { ac_try='test -z "$ac_c_werror_flag"
1719 - || test ! -s conftest.err'
1720 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1721 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1724 @@ -28793,8 +28711,7 @@
1725 cat conftest.err >&5
1726 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1727 (exit $ac_status); } &&
1728 - { ac_try='test -z "$ac_c_werror_flag"
1729 - || test ! -s conftest.err'
1730 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1731 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1734 @@ -28834,8 +28751,7 @@
1735 cat conftest.err >&5
1736 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1737 (exit $ac_status); } &&
1738 - { ac_try='test -z "$ac_c_werror_flag"
1739 - || test ! -s conftest.err'
1740 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1741 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1744 @@ -28891,8 +28807,7 @@
1745 cat conftest.err >&5
1746 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1747 (exit $ac_status); } &&
1748 - { ac_try='test -z "$ac_c_werror_flag"
1749 - || test ! -s conftest.err'
1750 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1751 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1754 @@ -28932,8 +28847,7 @@
1755 cat conftest.err >&5
1756 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1757 (exit $ac_status); } &&
1758 - { ac_try='test -z "$ac_c_werror_flag"
1759 - || test ! -s conftest.err'
1760 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1761 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1764 @@ -28997,8 +28911,7 @@
1765 cat conftest.err >&5
1766 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1767 (exit $ac_status); } &&
1768 - { ac_try='test -z "$ac_c_werror_flag"
1769 - || test ! -s conftest.err'
1770 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1771 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1774 @@ -29029,10 +28942,8 @@
1777 if test "$cross_compiling" = yes; then
1778 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
1779 -See \`config.log' for more details." >&5
1780 -echo "$as_me: error: cannot run test program while cross compiling
1781 -See \`config.log' for more details." >&2;}
1782 + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
1783 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
1784 { (exit 1); exit 1; }; }
1786 cat >conftest.$ac_ext <<_ACEOF
1787 @@ -29219,8 +29130,7 @@
1788 cat conftest.err >&5
1789 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1790 (exit $ac_status); } &&
1791 - { ac_try='test -z "$ac_c_werror_flag"
1792 - || test ! -s conftest.err'
1793 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1794 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1797 @@ -29262,8 +29172,7 @@
1798 cat conftest.err >&5
1799 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1800 (exit $ac_status); } &&
1801 - { ac_try='test -z "$ac_c_werror_flag"
1802 - || test ! -s conftest.err'
1803 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1804 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1807 @@ -29320,8 +29229,7 @@
1808 cat conftest.err >&5
1809 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1810 (exit $ac_status); } &&
1811 - { ac_try='test -z "$ac_c_werror_flag"
1812 - || test ! -s conftest.err'
1813 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1814 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1817 @@ -29465,8 +29373,7 @@
1818 cat conftest.err >&5
1819 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1820 (exit $ac_status); } &&
1821 - { ac_try='test -z "$ac_cxx_werror_flag"
1822 - || test ! -s conftest.err'
1823 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
1824 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1827 @@ -29516,8 +29423,7 @@
1828 cat conftest.err >&5
1829 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1830 (exit $ac_status); } &&
1831 - { ac_try='test -z "$ac_cxx_werror_flag"
1832 - || test ! -s conftest.err'
1833 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
1834 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1837 @@ -29657,8 +29563,7 @@
1838 cat conftest.err >&5
1839 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1840 (exit $ac_status); } &&
1841 - { ac_try='test -z "$ac_c_werror_flag"
1842 - || test ! -s conftest.err'
1843 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1844 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1847 @@ -29735,8 +29640,7 @@
1848 cat conftest.err >&5
1849 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1850 (exit $ac_status); } &&
1851 - { ac_try='test -z "$ac_c_werror_flag"
1852 - || test ! -s conftest.err'
1853 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1854 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1857 @@ -29875,8 +29779,7 @@
1858 cat conftest.err >&5
1859 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1860 (exit $ac_status); } &&
1861 - { ac_try='test -z "$ac_c_werror_flag"
1862 - || test ! -s conftest.err'
1863 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1864 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1867 @@ -29954,8 +29857,7 @@
1868 cat conftest.err >&5
1869 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1870 (exit $ac_status); } &&
1871 - { ac_try='test -z "$ac_c_werror_flag"
1872 - || test ! -s conftest.err'
1873 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1874 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1877 @@ -30022,8 +29924,7 @@
1878 cat conftest.err >&5
1879 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1880 (exit $ac_status); } &&
1881 - { ac_try='test -z "$ac_c_werror_flag"
1882 - || test ! -s conftest.err'
1883 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1884 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1887 @@ -30389,8 +30290,7 @@
1888 cat conftest.err >&5
1889 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1890 (exit $ac_status); } &&
1891 - { ac_try='test -z "$ac_cxx_werror_flag"
1892 - || test ! -s conftest.err'
1893 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
1894 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1897 @@ -30541,8 +30441,7 @@
1898 cat conftest.err >&5
1899 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1900 (exit $ac_status); } &&
1901 - { ac_try='test -z "$ac_c_werror_flag"
1902 - || test ! -s conftest.err'
1903 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1904 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1907 @@ -30610,8 +30509,7 @@
1908 cat conftest.err >&5
1909 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1910 (exit $ac_status); } &&
1911 - { ac_try='test -z "$ac_c_werror_flag"
1912 - || test ! -s conftest.err'
1913 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1914 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1917 @@ -30710,8 +30608,7 @@
1918 cat conftest.err >&5
1919 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1920 (exit $ac_status); } &&
1921 - { ac_try='test -z "$ac_c_werror_flag"
1922 - || test ! -s conftest.err'
1923 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1924 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1927 @@ -30903,8 +30800,7 @@
1928 cat conftest.err >&5
1929 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1930 (exit $ac_status); } &&
1931 - { ac_try='test -z "$ac_c_werror_flag"
1932 - || test ! -s conftest.err'
1933 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1934 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1937 @@ -31034,8 +30930,7 @@
1938 cat conftest.err >&5
1939 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1940 (exit $ac_status); } &&
1941 - { ac_try='test -z "$ac_c_werror_flag"
1942 - || test ! -s conftest.err'
1943 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1944 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1947 @@ -31101,8 +30996,7 @@
1948 cat conftest.err >&5
1949 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1950 (exit $ac_status); } &&
1951 - { ac_try='test -z "$ac_c_werror_flag"
1952 - || test ! -s conftest.err'
1953 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1954 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1957 @@ -31147,8 +31041,7 @@
1958 cat conftest.err >&5
1959 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1960 (exit $ac_status); } &&
1961 - { ac_try='test -z "$ac_c_werror_flag"
1962 - || test ! -s conftest.err'
1963 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1964 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1967 @@ -31196,8 +31089,7 @@
1968 cat conftest.err >&5
1969 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1970 (exit $ac_status); } &&
1971 - { ac_try='test -z "$ac_c_werror_flag"
1972 - || test ! -s conftest.err'
1973 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1974 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1977 @@ -31280,8 +31172,7 @@
1978 cat conftest.err >&5
1979 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1980 (exit $ac_status); } &&
1981 - { ac_try='test -z "$ac_c_werror_flag"
1982 - || test ! -s conftest.err'
1983 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1984 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1987 @@ -31342,8 +31233,7 @@
1988 cat conftest.err >&5
1989 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1990 (exit $ac_status); } &&
1991 - { ac_try='test -z "$ac_c_werror_flag"
1992 - || test ! -s conftest.err'
1993 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1994 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1997 @@ -31404,8 +31294,7 @@
1998 cat conftest.err >&5
1999 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2000 (exit $ac_status); } &&
2001 - { ac_try='test -z "$ac_c_werror_flag"
2002 - || test ! -s conftest.err'
2003 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2004 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2007 @@ -31466,8 +31355,7 @@
2008 cat conftest.err >&5
2009 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2010 (exit $ac_status); } &&
2011 - { ac_try='test -z "$ac_c_werror_flag"
2012 - || test ! -s conftest.err'
2013 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2014 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2017 @@ -31550,8 +31438,7 @@
2018 cat conftest.err >&5
2019 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2020 (exit $ac_status); } &&
2021 - { ac_try='test -z "$ac_c_werror_flag"
2022 - || test ! -s conftest.err'
2023 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2024 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2027 @@ -31619,8 +31506,7 @@
2028 cat conftest.err >&5
2029 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2030 (exit $ac_status); } &&
2031 - { ac_try='test -z "$ac_c_werror_flag"
2032 - || test ! -s conftest.err'
2033 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2034 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2037 @@ -31694,8 +31580,7 @@
2038 cat conftest.err >&5
2039 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2040 (exit $ac_status); } &&
2041 - { ac_try='test -z "$ac_c_werror_flag"
2042 - || test ! -s conftest.err'
2043 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2044 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2047 @@ -31761,8 +31646,7 @@
2048 cat conftest.err >&5
2049 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2050 (exit $ac_status); } &&
2051 - { ac_try='test -z "$ac_c_werror_flag"
2052 - || test ! -s conftest.err'
2053 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2054 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2057 @@ -31828,8 +31712,7 @@
2058 cat conftest.err >&5
2059 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2060 (exit $ac_status); } &&
2061 - { ac_try='test -z "$ac_c_werror_flag"
2062 - || test ! -s conftest.err'
2063 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2064 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2067 @@ -31994,8 +31877,7 @@
2068 cat conftest.err >&5
2069 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2070 (exit $ac_status); } &&
2071 - { ac_try='test -z "$ac_c_werror_flag"
2072 - || test ! -s conftest.err'
2073 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2074 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2077 @@ -32179,8 +32061,7 @@
2078 cat conftest.err >&5
2079 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2080 (exit $ac_status); } &&
2081 - { ac_try='test -z "$ac_c_werror_flag"
2082 - || test ! -s conftest.err'
2083 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2084 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2087 @@ -32426,8 +32307,7 @@
2088 cat conftest.err >&5
2089 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2090 (exit $ac_status); } &&
2091 - { ac_try='test -z "$ac_c_werror_flag"
2092 - || test ! -s conftest.err'
2093 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2094 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2097 @@ -32491,8 +32371,7 @@
2098 cat conftest.err >&5
2099 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2100 (exit $ac_status); } &&
2101 - { ac_try='test -z "$ac_c_werror_flag"
2102 - || test ! -s conftest.err'
2103 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2104 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2107 @@ -32661,8 +32540,7 @@
2108 cat conftest.err >&5
2109 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2110 (exit $ac_status); } &&
2111 - { ac_try='test -z "$ac_c_werror_flag"
2112 - || test ! -s conftest.err'
2113 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2114 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2117 @@ -32756,8 +32634,7 @@
2118 cat conftest.err >&5
2119 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2120 (exit $ac_status); } &&
2121 - { ac_try='test -z "$ac_c_werror_flag"
2122 - || test ! -s conftest.err'
2123 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2124 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2127 @@ -32958,8 +32835,7 @@
2128 cat conftest.err >&5
2129 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2130 (exit $ac_status); } &&
2131 - { ac_try='test -z "$ac_c_werror_flag"
2132 - || test ! -s conftest.err'
2133 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2134 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2137 @@ -33065,8 +32941,7 @@
2138 cat conftest.err >&5
2139 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2140 (exit $ac_status); } &&
2141 - { ac_try='test -z "$ac_c_werror_flag"
2142 - || test ! -s conftest.err'
2143 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2144 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2147 @@ -33177,8 +33052,7 @@
2148 cat conftest.err >&5
2149 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2150 (exit $ac_status); } &&
2151 - { ac_try='test -z "$ac_c_werror_flag"
2152 - || test ! -s conftest.err'
2153 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2154 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2157 @@ -33273,8 +33147,7 @@
2158 cat conftest.err >&5
2159 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2160 (exit $ac_status); } &&
2161 - { ac_try='test -z "$ac_cxx_werror_flag"
2162 - || test ! -s conftest.err'
2163 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
2164 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2167 @@ -33369,8 +33242,7 @@
2168 cat conftest.err >&5
2169 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2170 (exit $ac_status); } &&
2171 - { ac_try='test -z "$ac_cxx_werror_flag"
2172 - || test ! -s conftest.err'
2173 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
2174 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2177 @@ -33462,8 +33334,7 @@
2178 cat conftest.err >&5
2179 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2180 (exit $ac_status); } &&
2181 - { ac_try='test -z "$ac_cxx_werror_flag"
2182 - || test ! -s conftest.err'
2183 + { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
2184 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2187 @@ -33539,8 +33410,7 @@
2188 cat conftest.err >&5
2189 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2190 (exit $ac_status); } &&
2191 - { ac_try='test -z "$ac_c_werror_flag"
2192 - || test ! -s conftest.err'
2193 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2194 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2197 @@ -33608,8 +33478,7 @@
2198 cat conftest.err >&5
2199 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2200 (exit $ac_status); } &&
2201 - { ac_try='test -z "$ac_c_werror_flag"
2202 - || test ! -s conftest.err'
2203 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2204 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2207 @@ -33679,8 +33548,7 @@
2208 cat conftest.err >&5
2209 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2210 (exit $ac_status); } &&
2211 - { ac_try='test -z "$ac_c_werror_flag"
2212 - || test ! -s conftest.err'
2213 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2214 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2217 @@ -33751,8 +33619,7 @@
2218 cat conftest.err >&5
2219 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2220 (exit $ac_status); } &&
2221 - { ac_try='test -z "$ac_c_werror_flag"
2222 - || test ! -s conftest.err'
2223 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2224 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2227 @@ -33824,8 +33691,7 @@
2228 cat conftest.err >&5
2229 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2230 (exit $ac_status); } &&
2231 - { ac_try='test -z "$ac_c_werror_flag"
2232 - || test ! -s conftest.err'
2233 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2234 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2237 @@ -33894,8 +33760,7 @@
2238 cat conftest.err >&5
2239 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2240 (exit $ac_status); } &&
2241 - { ac_try='test -z "$ac_c_werror_flag"
2242 - || test ! -s conftest.err'
2243 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2244 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2247 @@ -33959,8 +33824,7 @@
2248 cat conftest.err >&5
2249 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2250 (exit $ac_status); } &&
2251 - { ac_try='test -z "$ac_c_werror_flag"
2252 - || test ! -s conftest.err'
2253 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2254 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2257 @@ -34811,8 +34675,7 @@
2258 cat conftest.err >&5
2259 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2260 (exit $ac_status); } &&
2261 - { ac_try='test -z "$ac_c_werror_flag"
2262 - || test ! -s conftest.err'
2263 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2264 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2267 @@ -34982,8 +34845,7 @@
2268 cat conftest.err >&5
2269 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2270 (exit $ac_status); } &&
2271 - { ac_try='test -z "$ac_c_werror_flag"
2272 - || test ! -s conftest.err'
2273 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2274 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2277 @@ -35226,8 +35088,7 @@
2278 cat conftest.err >&5
2279 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2280 (exit $ac_status); } &&
2281 - { ac_try='test -z "$ac_c_werror_flag"
2282 - || test ! -s conftest.err'
2283 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2284 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2287 @@ -35538,8 +35399,7 @@
2288 cat conftest.err >&5
2289 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2290 (exit $ac_status); } &&
2291 - { ac_try='test -z "$ac_c_werror_flag"
2292 - || test ! -s conftest.err'
2293 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
2294 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2297 @@ -36920,11 +36780,6 @@
2298 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
2301 - if test x"$ac_file" != x-; then
2302 - { echo "$as_me:$LINENO: creating $ac_file" >&5
2303 -echo "$as_me: creating $ac_file" >&6;}
2306 # Let's still pretend it is `configure' which instantiates (i.e., don't
2307 # use $as_me), people would be surprised to read:
2308 # /* config.h. Generated by config.status. */
2309 @@ -36963,6 +36818,12 @@
2312 done` || { (exit 1); exit 1; }
2314 + if test x"$ac_file" != x-; then
2315 + { echo "$as_me:$LINENO: creating $ac_file" >&5
2316 +echo "$as_me: creating $ac_file" >&6;}
2320 cat >>$CONFIG_STATUS <<_ACEOF
2322 diff -ruN mysql-4.0.24-orig/configure.in mysql-4.0.24-2/configure.in
2323 --- mysql-4.0.24-orig/configure.in 2005-03-05 01:38:15.000000000 +0100
2324 +++ mysql-4.0.24-2/configure.in 2005-03-10 22:39:02.000000000 +0100
2327 #check the return type of sprintf
2328 case $SYSTEM_TYPE in
2330 + AC_DEFINE(SPRINTF_RETURNS_INT) AC_MSG_RESULT("int")
2333 AC_DEFINE(SPRINTF_RETURNS_INT) AC_MSG_RESULT("int")
2338 if test "$IS_LINUX" = "true"; then
2339 - AC_MSG_CHECKING([for atomic operations])
2342 + AC_CACHE_CHECK([for atomic add operation], ac_atomic_add, [
2344 #include <asm/atomic.h>
2346 @@ -833,8 +835,15 @@
2348 return atomic_read(&v) == 28 ? 0 : -1;
2350 - ], AC_DEFINE(HAVE_ATOMIC_ADD) atom_ops="${atom_ops}atomic_add ",
2351 + ], ac_atomic_add=yes, ac_atomic_add=no)]
2353 + if test "$ac_atomic_add" = "yes"
2355 + AC_DEFINE(HAVE_ATOMIC_ADD)
2356 + atom_ops="${atom_ops}atomic_add "
2359 + AC_CACHE_CHECK([for atomic sub operation], ac_atomic_sub, [
2361 #include <asm/atomic.h>
2363 @@ -845,11 +854,13 @@
2365 return atomic_read(&v) == 18 ? 0 : -1;
2367 - ], AC_DEFINE(HAVE_ATOMIC_SUB) atom_ops="${atom_ops}atomic_sub ",
2368 + ], ac_atomic_add=sub, ac_atomic_sub=no)]
2371 - if test -z "$atom_ops"; then atom_ops="no"; fi
2372 - AC_MSG_RESULT($atom_ops)
2373 + if test "$ac_atomic_sub" = "yes"
2375 + AC_DEFINE(HAVE_ATOMIC_SUB)
2376 + atom_ops="${atom_ops}atomic_sub "
2380 [ --with-pstack Use the pstack backtrace library],
2383 AC_MSG_CHECKING([for int8])
2384 case $SYSTEM_TYPE in
2386 + AC_MSG_RESULT([no])
2391 @@ -1600,7 +1614,9 @@
2394 DEBUG_OPTIMIZE_CC="-O"
2395 + if test -z "$OPTIMIZE_CFLAGS" ; then
2396 OPTIMIZE_CFLAGS="$MAX_C_OPTIMIZE"
2400 DEBUG_OPTIMIZE_CC=""
2401 @@ -1610,7 +1626,9 @@
2404 DEBUG_OPTIMIZE_CXX="-O"
2405 + if test -z "$OPTIMIZE_CXXFLAGS" ; then
2406 OPTIMIZE_CXXFLAGS="$MAX_CXX_OPTIMIZE"
2410 DEBUG_OPTIMIZE_CXX=""
2411 diff -ruN mysql-4.0.24-orig/ipkg/libmysqlclient/CONTROL/control mysql-4.0.24-2/ipkg/libmysqlclient/CONTROL/control
2412 diff -ruN mysql-4.0.24-orig/ipkg/libmysqlclient-dev/CONTROL/control mysql-4.0.24-2/ipkg/libmysqlclient-dev/CONTROL/control
2413 diff -ruN mysql-4.0.24-orig/ipkg/mysql-utils/CONTROL/control mysql-4.0.24-2/ipkg/mysql-utils/CONTROL/control
2414 diff -ruN mysql-4.0.24-orig/ipkg/rules mysql-4.0.24-2/ipkg/rules
2415 diff -ruN mysql-4.0.24-orig/ipkg/version mysql-4.0.24-2/ipkg/version
2416 --- mysql-4.0.24/configure.old 2005-04-18 08:33:00.000000000 +0200
2417 +++ mysql-4.0.24/configure 2005-04-18 08:34:28.000000000 +0200
2418 @@ -25013,7 +25013,7 @@
2419 # Look for LinuxThreads.
2420 echo "$as_me:$LINENO: checking \"LinuxThreads\"" >&5
2421 echo $ECHO_N "checking \"LinuxThreads\"... $ECHO_C" >&6
2422 - res=`grep Linuxthreads /usr/include/pthread.h 2>/dev/null | wc -l`
2424 if test "$res" -gt 0
2426 echo "$as_me:$LINENO: result: \"Found\"" >&5